Commit 79247605 authored by Strit's avatar Strit

updated to 7.3.1

parent 1876fbc9
......@@ -2,9 +2,9 @@
pkgbase=pamac
pkgname=('pamac' 'pamac-tray-appindicator')
_pkgver=7.3.0
pkgver=7.3.0
pkgrel=2
_pkgver=7.3.1
pkgver=7.3.1
pkgrel=1
_commit=dc9740eb755182dd32292b595512caebef5da1a2
pkgdesc="A Gtk3 frontend for libalpm"
arch=('i686' 'x86_64' 'armv7h' 'aarch64')
......@@ -16,12 +16,12 @@ depends=('glib2>=2.42' 'json-glib' 'libsoup' 'dbus-glib' 'polkit' 'vte3>=0.38' '
makedepends=('gettext' 'meson' 'vala>=0.36.6' 'libappindicator-gtk3' 'gobject-introspection')
options=(!emptydirs)
source=(#"pamac-$pkgver-$pkgrel.tar.gz::$url/-/archive/v$_pkgver/$pkgname-v$_pkgver.tar.gz")
"pamac-$pkgver-$pkgrel.tar.gz::$url/-/archive/$_commit/$pkgname-$_commit.tar.gz")
sha256sums=('1bd6ad74399b31f07168d2cef6db82838ab09c03b94bbaec125577959fa0ecca')
source=("pamac-$pkgver-$pkgrel.tar.gz::$url/-/archive/v$_pkgver/$pkgname-v$_pkgver.tar.gz")
#"pamac-$pkgver-$pkgrel.tar.gz::$url/-/archive/$_commit/$pkgname-$_commit.tar.gz")
sha256sums=('39a166701a604e69a426640fe80329398179954bc85091d1b419b288368f2295')
prepare() {
mv "$srcdir/pamac-$_commit" "$srcdir/pamac-v$_pkgver"
#mv "$srcdir/pamac-$_commit" "$srcdir/pamac-v$_pkgver"
cd "$srcdir/pamac-v$_pkgver"
# patches here
......
post_install() {
# enable systemd timers
ln -sf /usr/lib/systemd/system/pamac-cleancache.timer /etc/systemd/system/multi-user.target.wants
ln -sf /usr/lib/systemd/system/pamac-mirrorlist.timer /etc/systemd/system/multi-user.target.wants
ln -sf /usr/lib/systemd/system/pamac-cleancache.timer /etc/systemd/system/multi-user.target.wants/
ln -sf /usr/lib/systemd/system/pamac-mirrorlist.timer /etc/systemd/system/multi-user.target.wants/
# polkit agent
printf '==> An authentication agent is required\n'
printf ' Cinnamon, Deepin, GNOME, GNOME Flashback, KDE, LXDE, LXQt, MATE and Xfce\n'
printf ' have an authentication agent already.\n'
printf ' See https://wiki.archlinux.org/index.php/Polkit#Authentication_agents\n'
printf ' for other desktop environments.\n'
# enable pamac extension
printf '==> Enable Pamac Updates Indicator via\n'
printf ' Gnome Tweak\n'
}
post_upgrade() {
# enable pamac extension
printf '==> Enable Pamac Updates Indicator via\n'
printf ' Gnome Tweak\n'
}
post_remove() {
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment